debugsource <- function(file) {
	p <- parse(file)
	MAIN <- as.function(
		list(
			as.call(
				c(
					as.symbol("{"),
					as.list(p)
				)
			)
		)
	)
	debug(MAIN)
	on.exit(undebug(MAIN))
	MAIN()
	invisible(NULL)
}
